﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Livet;
using System.Collections.ObjectModel;

namespace LivetSampleProject.Models
{
    public class Main : NotificationObject
    {
        /*
         * NotifyObjectはプロパティ変更通知の仕組みを実装したオブジェクトです。
         */

        public Main()
        {
            Members = new ObservableCollection<Member>();
            Members.Add(new Member(this) { Name = "neuecc", Birthday = new DateTime(1983, 12, 30), Memo = "LINQ星人です。" });
            Members.Add(new Member(this) { Name = "ugaya40", Birthday = new DateTime(1983, 10, 23), Memo = "僕です。" });
        }

        public ObservableCollection<Member> Members
        {
            get;
            private set;
        }
    }
}
